Get api v1 referral connections referral connection uuid Run in API Explorer
Ask AI
GET
/api/v1/referral-connections/{referralConnection_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/referral-connections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "9d0b9bf0-512b-4082-a817-44ac751ab058",
"direction": "sent",
"status": "pending",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "2bbd39fb-3a6b-42ca-985b-e6f975e63a38",
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "0d2bc6dd-18ef-49b8-b8cb-1e7332ddc255",
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"expires_at": "2026-11-07T16:24:03+00:00"
}